<%
sub eddulf()
'发帖机遇开关,如果不使用请屏蔽下面一行:
'If Request.form("NeedEddul")="" Then Exit Sub

     dim eddi,addmoney,sql,membername,rs,userWealth
     membername=GBL_CHK_User
if membername="" then
           userWealth=0
     else
     set rs=server.createobject("adodb.recordset")
           sql="select * from [LeadBBS_User] where username='"&GBL_CHK_User&"'"
           rs.open sql,con,1,3
           userWealth=rs("points")
     end if
     response.write "<br><table cellpadding=0 cellspacing=0 align=center class=tableborder1>"&_
     "<tr><td><table cellpadding=3 cellspacing=1 border=0 width=""100%"">"&_
     "<tr class=back2 height=28 align=center>"&_
     "</tr><tr><td width=""100%"" class=tablebody1>"&_
     "<ul>"

     Randomize
     eddi=Fix(100*Rnd)
     addmoney=0
     select case eddi
	 case 28
           addmoney=68
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 29
           addmoney=16
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 30
           addmoney=3
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 31
           addmoney=55
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 32
           addmoney=9
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 33
           addmoney=12
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 34
           addmoney=8
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
	 case 35
           addmoney=22
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 36
           addmoney=2
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 37
           addmoney=45
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 38
           addmoney=8
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 39
           addmoney=85
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
	 case 40
           addmoney=21
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
	case 41
           addmoney=34
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 42
           addmoney=9
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 43
           addmoney=17
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 44
           addmoney=24
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
	 case 45
           addmoney=11
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 46
           addmoney=2
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 47
           addmoney=35
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 48
           addmoney=19
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
     case 50
           addmoney=27
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
	 case 51
           addmoney=13
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"
	case 52
           addmoney=60
		  response.write " <script>alert('你真幸运啊，网站之神的眷顾，本次发帖，你还获得了"&abs(addmoney)&"个金币，恭喜恭喜哦~~');</script>"

     end select

     if membername="" then
           response.write " "
     else
           if addmoney<>0 then
           rs("points")=Fix(rs("points")+addmoney)
           if rs("points")<0 then
                 rs("points")=0
           end if
           end if
          
           rs.update
		   
		   if addmoney>=0 then
           response.write "<div align=center>本次发帖，<font color=Teal>获得了</font> <font color=red>"&fix(addmoney)&"</font> 个金币</font>"
		  
           end if
          
     end if
     response.write "</td></tr></table></td></tr></table><br>"

end sub
%>